{
  "name": "pos-partner",
  "version": "0.0.1",
  "description": "",
  "author": "LuanLT",
  "license": "MIT",
  "scripts": {
    "st": "yarn add @nestjs/common @nestjs/core @nestjs/platform-express reflect-metadata @nestjs/typeorm rimraf rxjs module-alias typeorm express gulp gulp-rename --save",
    "st-dev": "yarn add typescript cross-env @types/express @types/node ts-node @types/module-alias nodemon  -D",
    "st-primary-lib": "yarn add mysql handlebars zone.js body-parser cors compression cookie-parser multer dotenv morgan socket.io uuid class-transformer class-validator redis moment moment-timezone --save",
    "st-primary-lib-dev": "yarn add  @types/compression @types/cookie-parser @types/morgan @types/uuid @types/multer @types/redis @types/socket.io  @types/moment-timezone -D",
    "st-full": "yarn st && yarn st-dev && yarn st-primary-lib && yarn st-primary-lib-dev",
    "lint": "node_modules/.bin/tslint --fix -c ./tslint.json 'src/**/*{.ts,.tsx}'",
    "run:qa": "yarn build && $(yarn bin)/cross-env NODE_ENV=qa node build/main.js",
    "run:dev": "yarn build && $(yarn bin)/cross-env NODE_ENV=development node build/main.js",
    "run:prod": "yarn build && $(yarn bin)/cross-env NODE_ENV=production node build/main.js",
    "start": "yarn build && $(yarn bin)/cross-env NODE_ENV=development node build/main.js",
    "compile": "tsc && node build/main.js --max-old-space-size=8192",
    "clean": "$(yarn bin)/rimraf build",
    "build": "yarn clean && tsc",
    "build-lib": "yarn clean && tsc --declaration",
    "dev": "nodemon -e ts --exec \"yarn run compile\"",
    "pm2-start": "yarn build && pm2 start config.pm2.js --env development",
    "pm2-stop": "pm2 stop config.pm2.js --env development",
    "pm2-delete-all": "pm2 delete all",
    "start:dev": "pm2 start pm2.config.js --env development",
    "stop:dev": "pm2 delete pm2.config.js --env development",
    "start:qa": "pm2 start pm2.config.js --env qa",
    "stop:qa": "pm2 delete pm2.config.js --env qa",
    "start:prod": "pm2 start pm2.config.js --env production",
    "stop:prod": "pm2 delete pm2.config.js --env production",
    "c-key": "openssl genrsa -out key/private.key  1024 && openssl rsa -in key/private.key -pubout > key/public.key",
    "st-old": "yarn add jsonwebtoken bcryptjs ",
    "make-entity": "typeorm-model-generator -h localhost -d qltb2 -u root -x 123456 -e mysql --cf param -o && node scripts/index "
  },
  "_moduleAliases": {
    "@root": "./",
    "~": "build"
  },
  "dependencies": {
    "@nestjs/common": "^7.0.3",
    "@nestjs/core": "^7.0.3",
    "@nestjs/platform-express": "^7.0.3",
    "@nestjs/typeorm": "^7.0.0",
    "@types/crypto-js": "^3.1.43",
    "bcryptjs": "^2.4.3",
    "body-parser": "^1.19.0",
    "class-transformer": "^0.2.3",
    "class-validator": "^0.11.1",
    "compression": "^1.7.4",
    "cookie-parser": "^1.4.5",
    "cors": "^2.8.5",
    "crypto-js": "^4.0.0",
    "dotenv": "^8.2.0",
    "es6-shim": "^0.35.5",
    "express": "^4.17.1",
    "gulp": "^4.0.2",
    "gulp-rename": "^2.0.0",
    "handlebars": "^4.7.3",
    "jsonwebtoken": "^8.5.1",
    "module-alias": "^2.2.2",
    "moment": "^2.24.0",
    "moment-timezone": "^0.5.28",
    "morgan": "^1.9.1",
    "multer": "^1.4.2",
    "mysql": "^2.18.1",
    "redis": "^3.0.2",
    "reflect-metadata": "^0.1.13",
    "rimraf": "^3.0.2",
    "rxjs": "^6.5.4",
    "socket.io": "^2.3.0",
    "typeorm": "^0.2.24",
    "typeorm-model-generator": "^0.4.1",
    "uuid": "^7.0.2"
  },
  "devDependencies": {
    "@types/compression": "^1.7.0",
    "@types/cookie-parser": "^1.4.2",
    "@types/express": "^4.17.3",
    "@types/module-alias": "^2.0.0",
    "@types/moment-timezone": "^0.5.12",
    "@types/morgan": "^1.9.0",
    "@types/multer": "^1.4.2",
    "@types/node": "^13.9.1",
    "@types/redis": "^2.8.16",
    "@types/socket.io": "^2.1.4",
    "@types/uuid": "^7.0.2",
    "cross-env": "^7.0.2",
    "nodemon": "^2.0.2",
    "ts-node": "^8.6.2",
    "tslint": "^6.1.0",
    "typescript": "^3.8.3"
  }
}
